=== debian/changelog ===
chaosvpn (2.18-0) unstable; urgency=low

  * Include chaosvpn.conf template for OpenBSD.
  * Do not automatically restart tincd if it aborted cleanly with
    a fatal error.
    Can happen for example with config incompatibilities between tinc
    and chaosvpn, or if two instances of the same node are running on
    two different hosts and the conflict-resolution in tinc decided
    to kill one.
  * calcdebversion: Make the version number in "make deb" look nicer.
  * Created test_addrmask.c, a small test program to verify that the
    addressmask parsing and output functions work on a system.
    Use it as 'make test_addrmask && ./test_addrmask'
  * Makefile: Use BSD gcc parameters for all kinds of BSD, not just FreeBSD
  * addrmask_to_string(): use inet_ntop() on unix, and getnameinfo() only on
    win32 - fixes NetBSD support.
  * Added a couple of internal cleanups.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Thu, 01 Aug 2013 19:42:44 +0200

chaosvpn (2.17-0) unstable; urgency=low

  * addrmask_parse(): Fixed IP address parsing under OpenWRT by setting a
    missing ai_socktype for getaddrinfo() calls.
    Thanks to Thorben Went for debugging this.
  * addrmask.c: Fixed compile error on FreeBSD by including missing
    netinet/in.h
  * Fixed handling of nodes marked as silent=1
  * Added a couple of Apple OSX workarounds.
  * Added "make appleinstall" Makefile target.
  * More FreeBSD fixes.
  * Allow $tincd_bin to be specified as a relative path, searching for
    it in $PATH
  * tinc 1.1pre support: Starting with current git (and 1.1pre7) the binary
    that was called 'tincctl' is now just called 'tinc'. So change the
    default value and introduce new $tincctl_bin config variable.
  * warn only once about each unknown remote configstatement
  * support new central config statement ecdsapublickey= and if present
    and using tinc 1.1pre+ save it to hosts files.
  * Allow pingtest= in central config, but ignore it in client.
    (May be used later to automatically build icinga config or something
    like this)

 -- Sven-Haegar Koch <haegar@sdinet.de>  Fri, 12 Jul 2013 00:03:46 +0200

chaosvpn (2.15-0) unstable; urgency=low

  * Restore previous subnet-up/down behaviour for non-windows compiles.
  * addrmask.c: fix parsing and printing of ip addresses, got broken
    when implementing compiling under windows.
  * tinc.c: ensure all the strings used as char* are zero terminated.
  * make deb: fix to work with git tags starting with a "v" like "v2.14"

 -- Sven-Haegar Koch <haegar@sdinet.de>  Thu, 20 Sep 2012 21:16:21 +0200

chaosvpn (2.14-0) unstable; urgency=low

  * Disable forwarding of broadcast packets - right now we have OSPF
    traffic on the VPN creating useless traffic.
  * Letting tinc use ipv6 as the transport protocol only creates problems
    for now, so reduced transport protocol to ipv4 only.
  * FreeBSD compilation fixes.
  * Windows compilation works for the first time, thanks to Guus!
    (But support not finished yet)
  * Compiled Debian Wheezy and Unstable packages with hardening enabled.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Tue, 28 Aug 2012 12:38:47 +0200

chaosvpn (2.12-0) unstable; urgency=low

  * Support (and use by default) tinc 1.0.17+ option LocalDiscovery=yes

 -- Sven-Haegar Koch <haegar@sdinet.de>  Sat, 10 Mar 2012 16:03:34 +0100

chaosvpn (2.11-0) unstable; urgency=low

  * Do not write Address= lines in tinc hosts files for hidden=1 nodes.
  * New config option $tincd_raw_config
  * Change default of AddressFamily back to 'ipv4'.
    The previous default of 'any' creates reachability problems for nodes
    reachable over ipv4 and ipv6 talking to ipv4-only nodes.
  * Some smaller internal changes.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Mon, 18 Jul 2011 12:59:36 +0200

chaosvpn (2.10-0) unstable; urgency=low

  * Lots of bugfixes.
  * Configuration option tincd_user to run tincd as non-root
    (Currently not active in the debian package, to be fixed)
  * Rework structure: make main chaosvpn process *completely* unprivileged
    (Currently not active in the debian package, to be fixed)
  * Option for the local admin to merge lots of chaosvpn routes into a
    small number of bigger supernet routes.
  * Option for the local admin to blacklist/whitelist routes received from
    the vpn.
  * Debian packaging switched from crontab/oneshot mode to daemon mode.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Fri, 27 May 2011 17:03:43 +0200

chaosvpn (2.06-0) unstable; urgency=low

  * Check that the OpenSSL headers used match the version of the
    OpenSSL library used.
    Output a warning if not.
    (Suggestion from wopot)
  * Added dependency to iproute package, needed for routing setup.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Thu, 27 Jan 2011 01:10:16 +0100

chaosvpn (2.05-0) unstable; urgency=low

  * Fixing segfault in log.c on 64bit linux (32bit linux worked).
    The combination of va_start(), vsyslog(), vfprintf(), va_end()
    seems invalid using 64bit glibc, in 32bit using the same version
    everything is great.
    va_start(), vsyslog(), va_end(), va_start(), vfprintf(), va_end()
    seems to work on both architectures.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Mon, 22 Nov 2010 00:25:17 +0100

chaosvpn (2.04-1) unstable; urgency=low

  * Logging changes: do not output everything to stderr, only errors.
    Way nicer for cronjobs.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Sun, 21 Nov 2010 22:06:01 +0100

chaosvpn (2.03-1) unstable; urgency=low

  * dash does not support $RADOM, which is used in Debian cronjob.
    Package now requires bash instead until I find a better solution.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Sun, 21 Nov 2010 21:31:07 +0100

chaosvpn (2.02-1) unstable; urgency=low

  * Busybox ash does not support "case" statement fall-through, repeat
    the needed blocks instead.
    Repairs $use_dynamic_routes feature on embedded machines.

 -- Sven-Haegar Koch <haegar@sdinet.de>  Thu, 11 Nov 2010 17:11:02 +0100


