=== debian/control ===
Source: chaosvpn
Section: net
Priority: extra
Maintainer: ChaosVPN Mailinglist <chaosvpn@hamburg.ccc.de>
Uploaders: Sven-Haegar Koch <haegar@sdinet.de>
Build-Depends: debhelper (>= 7.0.15~), bison, flex, libssl-dev (>= 0.9.8), zlib1g-dev
Standards-Version: 3.9.4
Homepage: http://github.com/ryd/chaosvpn

Package: chaosvpn
Architecture: any
Depends: tinc (>= 1.0.13~), ${shlibs:Depends}, ${misc:Depends}, perl-base (>= 5.8.0), bash (>= 2), iproute
Description: Config generator to setup connection to ChaosVPN
 ChaosVPN is a tinc based VPN intended to connect Chaos and Hackerspaces,
 and their active members.
 .
 This software downloads the central node configuration, verifies it,
 creates tinc configs based on it and takes care of (re)starting tincd.
 .
 It replaces the "old" ChaosVPN from 2006.
Homepage: http://wiki.hamburg.ccc.de/ChaosVPN
